package com.red.circle.other.inner.enums.sys;

/**
 * 业务场景
 *
 * @author pengliang
 * @since 2020/3/4 14:27
 */
public enum MessageBusinessSceneEnum {
  /**
   * 没有业务场景
   */
  NONE("无"),

  /**
   * 谁给你发送了私信
   */
  IM_MSG("IM消息"),

  /**
   * 视频匹配成功
   */
  VIDEO_MATCH_SUCCESS("视频匹配成功"),

  /**
   * 官方通知
   */
  OFFICIAL_MESSAGE_NOTICE("官方通知");

  private final String desc;

  MessageBusinessSceneEnum(String desc) {
    this.desc = desc;
  }

  public static String getDesc(String name) {
    try {
      return valueOf(name).desc;
    } catch (Exception ignore) {
      return "";
    }
  }

  public String getDesc() {
    return desc;
  }

}
